<?xml version="1.0" encoding="utf-16"?>
<Connector id="electrical_connector" Version="1">
  <!--Define all system types-->
  <SystemTypes>
    <SystemType id="communication">
      <Name Language="1031" Description="Kommunikation, Systemtyp">Kommunikation</Name>
    </SystemType>
    <SystemType id="controls">
      <Name Language="1031" Description="Steuerungen, Systemtyp">Steuerungen</Name>
    </SystemType>
    <SystemType id="data">
      <Name Language="1031" Description="Daten, Systemtyp">Daten</Name>
    </SystemType>
    <SystemType id="fire_alarm">
      <Name Language="1031" Description="Feueralarm, Systemtyp">Feueralarm</Name>
    </SystemType>
    <SystemType id="nurse_call">
      <Name Language="1031" Description="Rufleitung, Systemtyp">Rufleitung</Name>
    </SystemType>
    <SystemType id="security">
      <Name Language="1031" Description="Sicherheit, Systemtyp">Sicherheit</Name>
    </SystemType>
    <SystemType id="telephone">
      <Name Language="1031" Description="Telefon, Systemtyp">Telefon</Name>
    </SystemType>
    <SystemType id="power_balanced">
      <Name Language="1031" Description="Leistung - Ausgeglichen, Systemtyp - Für Leistungssysteme, in denen die Lastwerte in allen Phasen gleich sind.">Leistung - Ausgeglichen</Name>
    </SystemType>
    <SystemType id="power_unbalanced">
      <Name Language="1031" Description="Leistung - Nicht ausgeglichen, Systemtyp - Für Leistungssysteme, in denen sich die Lastwerte in den einzelnen Phasen unterscheiden können.">Leistung - Nicht ausgeglichen</Name>
    </SystemType>
  </SystemTypes>
  
  <!--Define all group names-->
  <Groups>
    <Group id="identity_data">
      <Name Language="1031" Description="">ID-Daten</Name>
    </Group>
    <Group id="electrical_loads">
      <Name Language="1031" Description="">Elektrische Lasten</Name>
    </Group>
  </Groups>
  
  <!--Define all enumerations-->
  <Enums>
    <Enum id="power_factor_state_enum">
      <Item id="0">
        <Name Language="1031" Description="">Nachgestellt</Name>
      </Item>
      <Item id="1">
        <Name Language="1031" Description="">Vorangestellt</Name>
      </Item>
    </Enum>
	<Enum id="number_of_poles_enum">
	  <Item id="0">
		<Name Language="1031" Description="">1</Name>
	  </Item>
	  <Item id="1">
		<Name Language="1031" Description="">2</Name>
	  </Item>
	  <Item id="2">
		<Name Language="1031" Description="">3</Name>
	  </Item>
	</Enum>
  </Enums>
  
  <!--Define all parameters-->
  <Parameters>
    <Parameter id="description" Group="identity_data" Type="string" Unit="" Default="">
      <Name Language="1031" Description="">Beschreibung</Name>
      <SystemTypes>
        <SystemType>communication</SystemType>
        <SystemType>controls</SystemType>
        <SystemType>data</SystemType>
        <SystemType>fire_alarm</SystemType>
        <SystemType>nurse_call</SystemType>
        <SystemType>security</SystemType>
        <SystemType>telephone</SystemType>
        <SystemType>power_balanced</SystemType>
        <SystemType>power_unbalanced</SystemType>
      </SystemTypes>
    </Parameter>
    <Parameter id="voltage" Group="electrical_loads" Type="double" Unit="voltage" Default="">
      <Name Language="1031" Description="">Spannung</Name>
      <SystemTypes>
        <SystemType>power_balanced</SystemType>
        <SystemType>power_unbalanced</SystemType>
      </SystemTypes>
    </Parameter>
    <Parameter id="number_of_poles" Group="electrical_loads" Type="enum" Unit="" Default="">
      <Name Language="1031" Description="">Anzahl Pole</Name>
      <SystemTypes>
        <SystemType>power_balanced</SystemType>
        <SystemType>power_unbalanced</SystemType>
      </SystemTypes>
	  <UseEnum>number_of_poles_enum</UseEnum>
    </Parameter>
    <Parameter id="apparent_load" Group="electrical_loads" Type="double" Unit="Volt_Ampere" Default="">
      <Name Language="1031" Description="">Scheinlast</Name>
      <SystemTypes>
        <SystemType>power_balanced</SystemType>
      </SystemTypes>
    </Parameter>
    <Parameter id="apparent_load_phase1" Group="electrical_loads" Type="double" Unit="Volt_Ampere" Default="">
      <Name Language="1031" Description="">Scheinlastphase 1</Name>
      <SystemTypes>
        <SystemType>power_unbalanced</SystemType>
      </SystemTypes>
    </Parameter>
    <Parameter id="apparent_load_phase2" Group="electrical_loads" Type="double" Unit="Volt_Ampere" Default="">
      <Name Language="1031" Description="">Scheinlastphase 2</Name>
      <SystemTypes>
        <SystemType>power_unbalanced</SystemType>
      </SystemTypes>
    </Parameter>
    <Parameter id="apparent_load_phase3" Group="electrical_loads" Type="double" Unit="Volt_Ampere" Default="">
      <Name Language="1031" Description="">Scheinlastphase 3</Name>
      <SystemTypes>
        <SystemType>power_unbalanced</SystemType>
      </SystemTypes>
    </Parameter>
    <Parameter id="load_classification" Group="electrical_loads" Type="string" Unit="" Default="">
      <Name Language="1031" Description="">Lastklassifizierung</Name>
      <SystemTypes>
        <SystemType>power_balanced</SystemType>
        <SystemType>power_unbalanced</SystemType>
      </SystemTypes>
    </Parameter>
    <Parameter id="motor" Group="electrical_loads" Type="boolean" Unit="" Default="0">
      <Name Language="1031" Description="">Motor</Name>
      <SystemTypes>
        <SystemType>power_balanced</SystemType>
        <SystemType>power_unbalanced</SystemType>
      </SystemTypes>
    </Parameter>
    <Parameter id="power_factor" Group="electrical_loads" Type="double" Unit="" Default="">
      <Name Language="1031" Description="">Leistungsfaktor</Name>
      <SystemTypes>
        <SystemType>power_balanced</SystemType>
        <SystemType>power_unbalanced</SystemType>
      </SystemTypes>
      <Range low="0" high="1"/>
    </Parameter>
    <Parameter id="power_factor_state" Group="electrical_loads" Type="enum" Unit="" Default="">
      <Name Language="1031" Description="">Leistungsfaktorzustand</Name>
      <SystemTypes>
        <SystemType>power_balanced</SystemType>
        <SystemType>power_unbalanced</SystemType>
      </SystemTypes>
      <UseEnum>power_factor_state_enum</UseEnum>
    </Parameter>    
  </Parameters>
</Connector>
